Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode

    java.lang.Object
      com.google.protobuf.AbstractMessageLite
          com.google.protobuf.AbstractMessage
              com.google.protobuf.GeneratedMessage
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder

Enclosing class:
  JBPMMessages.ProcessInstance.NodeInstanceContent

    public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode

extends com.google.protobuf.GeneratedMessage
implements JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder

Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode`

See Also:
  Serialized Form

Nested Class Summary
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode`
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry`
`static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder`

Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage
`com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

Field Summary
`static int` | `MAPENTRY_FIELD_NUMBER`
`static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode>` | `PARSER`
`static int` | `RULE_FLOW_GROUP_FIELD_NUMBER`
`static int` | `TIMER_INSTANCE_ID_FIELD_NUMBER`

Fields inherited from class com.google.protobuf.GeneratedMessage
`alwaysUseFieldBuilders`

Method Summary
`static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `getDefaultInstance()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry` | `getMapEntry(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`int` | `getMapEntryCount()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`List<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry>` | `getMapEntryList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder` | `getMapEntryOrBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`List<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder>` | `getMapEntryOrBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`
`com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode>` | `getParserForType()`
`String` | `getRuleFlowGroup()` `optional string rule_flow_group = 3;`
`com.google.protobuf.ByteString` | `getRuleFlowGroupBytes()` `optional string rule_flow_group = 3;`
`int` | `getSerializedSize()`
`long` | `getTimerInstanceId(int index)` `repeated int64 timer_instance_id = 1;`
`int` | `getTimerInstanceIdCount()` `repeated int64 timer_instance_id = 1;`
`List<Long>` | `getTimerInstanceIdList()` `repeated int64 timer_instance_id = 1;`
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
`boolean` | `hasRuleFlowGroup()` `optional string rule_flow_group = 3;`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `newBuilder()`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `newBuilder(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode prototype)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `newBuilderForType()`
`protected JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseDelimitedFrom(InputStream input)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom(byte[] data)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom(com.google.protobuf.ByteString data)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom(com.google.protobuf.CodedInputStream input)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom(InputStream input)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder` | `toBuilder()`
`protected Object` | `writeReplace()`
`void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

Methods inherited from class com.google.protobuf.GeneratedMessage
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

Methods inherited from class com.google.protobuf.AbstractMessage
`equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

Methods inherited from class com.google.protobuf.AbstractMessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

Methods inherited from interface com.google.protobuf.MessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Field Detail

### PARSER

    public static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode> PARSER

### TIMER_INSTANCE_ID_FIELD_NUMBER

    public static final int TIMER_INSTANCE_ID_FIELD_NUMBER

See Also:
  Constant Field Values

### MAPENTRY_FIELD_NUMBER

    public static final int MAPENTRY_FIELD_NUMBER

See Also:
  Constant Field Values

### RULE_FLOW_GROUP_FIELD_NUMBER

    public static final int RULE_FLOW_GROUP_FIELD_NUMBER

See Also:
  Constant Field Values

Method Detail

### getDefaultInstance

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode getDefaultInstance()

### getDefaultInstanceForType

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

  Specified by:
    `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

### getParserForType

    public com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode> getParserForType()

  Specified by:
    `getParserForType` in interface `com.google.protobuf.Message`
  Specified by:
    `getParserForType` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getParserForType` in class `com.google.protobuf.GeneratedMessage`

### getTimerInstanceIdList

    public List<Long> getTimerInstanceIdList()

  `repeated int64 timer_instance_id = 1;`

  Specified by:
    `getTimerInstanceIdList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getTimerInstanceIdCount

    public int getTimerInstanceIdCount()

  `repeated int64 timer_instance_id = 1;`

  Specified by:
    `getTimerInstanceIdCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getTimerInstanceId

    public long getTimerInstanceId(int index)

  `repeated int64 timer_instance_id = 1;`

  Specified by:
    `getTimerInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getMapEntryList

    public List<JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry> getMapEntryList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

  Specified by:
    `getMapEntryList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getMapEntryOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder> getMapEntryOrBuilderList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

  Specified by:
    `getMapEntryOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getMapEntryCount

    public int getMapEntryCount()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

  Specified by:
    `getMapEntryCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getMapEntry

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry getMapEntry(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

  Specified by:
    `getMapEntry` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getMapEntryOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder getMapEntryOrBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry mapEntry = 2;`

  Specified by:
    `getMapEntryOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### hasRuleFlowGroup

    public boolean hasRuleFlowGroup()

  `optional string rule_flow_group = 3;`

  Specified by:
    `hasRuleFlowGroup` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getRuleFlowGroup

    public String getRuleFlowGroup()

  `optional string rule_flow_group = 3;`

  Specified by:
    `getRuleFlowGroup` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### getRuleFlowGroupBytes

    public com.google.protobuf.ByteString getRuleFlowGroupBytes()

  `optional string rule_flow_group = 3;`

  Specified by:
    `getRuleFlowGroupBytes` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage`

### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

  Specified by:
    `writeTo` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `writeTo` in class `com.google.protobuf.AbstractMessage`
  Throws:
    `IOException`

### getSerializedSize

    public int getSerializedSize()

  Specified by:
    `getSerializedSize` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

  Overrides:
    `writeReplace` in class `com.google.protobuf.GeneratedMessage`
  Throws:
    `ObjectStreamException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom(com.google.protobuf.ByteString data)
                                                                                  throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom(com.google.protobuf.ByteString data,
                                                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                  throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom(byte[] data)
                                                                                  throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom(byte[] data,
                                                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                  throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom(InputStream input)
                                                                                  throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom(InputStream input,
                                                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                  throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseDelimitedFrom(InputStream input)
                                                                                           throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseDelimitedFrom(InputStream input,
                                                                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                           throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom(com.google.protobuf.CodedInputStream input)
                                                                                  throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode parseFrom(com.google.protobuf.CodedInputStream input,
                                                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                  throws IOException

  Throws:
    `IOException`

### newBuilder

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder newBuilder()

### newBuilderForType

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder newBuilderForType()

  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.Message`
  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder newBuilder(JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode prototype)

### toBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder toBuilder()

  Specified by:
    `toBuilder` in interface `com.google.protobuf.Message`
  Specified by:
    `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

    protected JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

  Specified by:
    `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.